<?php

namespace App\Models;

use CodeIgniter\Model;

class TutorialModel extends Model
{
  protected $table = 'tutorial';
  protected $primaryKey = 'id';

  protected $allowedFields = [
     'jenis',
     'judul',
     'kategori',
     'isi'
  ];

  protected $returnType = 'array';

  protected $useAutoIncrement = true;
  protected $useTimestamps = false;

  public function getTutorialterbaru($limit = 3)
  {
    // Gunakan 'tanggal' sesuai nama kolom di database Anda
     return $this->orderBy('tanggal', 'DESC') 
     ->findAll($limit);
  }

  public function getPojokterbaru($limit = 3)
{
    // Gantilah 'kategori' sesuai nama kolom tempat menyimpan 'pojok_ilmu' di tabel Anda
    return $this->where('jenis', 'pojok_ilmu')
                ->orderBy('tanggal', 'DESC') 
                ->findAll($limit);
}
}